// Tracks the state of our instance, *not* the state of the radio.
#[derive(Debug)]
pub enum InternalState {
    Idle,
    Rx {
        i: usize,
        received: bool,
        rssi: Option<f64>,
    },
    Tx {
        i: usize,
        len: usize,
    },
}
